declare const _default: {
    color: string[];
    backgroundColor: string;
    textStyle: {};
    title: {
        textStyle: {
            color: string;
        };
        subtextStyle: {
            color: string;
        };
    };
    tree: {
        itemStyle: {
            color: string;
            borderColor: string;
        };
    };
    line: {
        itemStyle: {
            normal: {
                borderWidth: string;
            };
        };
        lineStyle: {
            normal: {
                width: string;
            };
        };
        symbolSize: string;
        symbol: string;
        smooth: boolean;
    };
    radar: {
        itemStyle: {
            normal: {
                borderWidth: string;
            };
        };
        lineStyle: {
            normal: {
                width: string;
            };
        };
        symbolSize: string;
        symbol: string;
        smooth: boolean;
    };
    bar: {
        itemStyle: {
            normal: {
                barBorderWidth: number;
                barBorderColor: string;
            };
            emphasis: {
                barBorderWidth: number;
                barBorderColor: string;
            };
        };
    };
    pie: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
            emphasis: {
                borderWidth: number;
                borderColor: string;
            };
        };
    };
    scatter: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
            emphasis: {
                borderWidth: number;
                borderColor: string;
            };
        };
    };
    boxplot: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
            emphasis: {
                borderWidth: number;
                borderColor: string;
            };
        };
    };
    parallel: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
            emphasis: {
                borderWidth: number;
                borderColor: string;
            };
        };
    };
    sankey: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
            emphasis: {
                borderWidth: number;
                borderColor: string;
            };
        };
    };
    funnel: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
            emphasis: {
                borderWidth: number;
                borderColor: string;
            };
        };
    };
    gauge: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
            emphasis: {
                borderWidth: number;
                borderColor: string;
            };
        };
    };
    candlestick: {
        itemStyle: {
            normal: {
                color: string;
                color0: string;
                borderColor: string;
                borderColor0: string;
                borderWidth: string;
            };
        };
    };
    graph: {
        itemStyle: {
            normal: {
                borderWidth: number;
                borderColor: string;
            };
        };
        lineStyle: {
            normal: {
                width: number;
                color: string;
            };
        };
        symbolSize: string;
        symbol: string;
        smooth: boolean;
        color: string[];
        label: {
            normal: {
                textStyle: {
                    color: string;
                };
            };
        };
    };
    map: {
        itemStyle: {
            normal: {
                areaColor: string;
                borderColor: string;
                borderWidth: number;
            };
            emphasis: {
                areaColor: string;
                borderColor: string;
                borderWidth: number;
            };
        };
        label: {
            normal: {
                textStyle: {
                    color: string;
                };
            };
            emphasis: {
                textStyle: {
                    color: string;
                };
            };
        };
    };
    geo: {
        itemStyle: {
            normal: {
                areaColor: string;
                borderColor: string;
                borderWidth: number;
            };
            emphasis: {
                areaColor: string;
                borderColor: string;
                borderWidth: number;
            };
        };
        label: {
            normal: {
                textStyle: {
                    color: string;
                };
            };
            emphasis: {
                textStyle: {
                    color: string;
                };
            };
        };
    };
    categoryAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            textStyle: {
                color: string;
            };
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    valueAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            textStyle: {
                color: string;
            };
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    logAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            textStyle: {
                color: string;
            };
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    timeAxis: {
        axisLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            show: boolean;
            textStyle: {
                color: string;
            };
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string[];
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
    };
    toolbox: {
        iconStyle: {
            normal: {
                borderColor: string;
            };
            emphasis: {
                borderColor: string;
            };
        };
    };
    legend: {
        textStyle: {
            color: string;
        };
    };
    tooltip: {
        axisPointer: {
            lineStyle: {
                color: string;
                width: number;
            };
            crossStyle: {
                color: string;
                width: number;
            };
        };
    };
    timeline: {
        lineStyle: {
            color: string;
            width: number;
        };
        itemStyle: {
            normal: {
                color: string;
                borderWidth: number;
            };
            emphasis: {
                color: string;
            };
        };
        controlStyle: {
            normal: {
                color: string;
                borderColor: string;
                borderWidth: number;
            };
            emphasis: {
                color: string;
                borderColor: string;
                borderWidth: number;
            };
        };
        checkpointStyle: {
            color: string;
            borderColor: string;
        };
        label: {
            normal: {
                textStyle: {
                    color: string;
                };
            };
            emphasis: {
                textStyle: {
                    color: string;
                };
            };
        };
    };
    visualMap: {
        color: string[];
    };
    dataZoom: {
        backgroundColor: string;
        dataBackgroundColor: string;
        fillerColor: string;
        handleColor: string;
        handleSize: string;
        textStyle: {
            color: string;
        };
    };
    markPoint: {
        label: {
            normal: {
                textStyle: {
                    color: string;
                };
            };
            emphasis: {
                textStyle: {
                    color: string;
                };
            };
        };
    };
};
export default _default;
