import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesBarComponent extends TdSeriesDirective {
    coordinateSystem;
    xAxisIndex;
    yAxisIndex;
    legendHoverLink;
    stack;
    cursor;
    label;
    itemStyle;
    emphasis;
    barWidth;
    barMaxWidth;
    barMinHeight;
    barGap;
    barCategoryGap;
    large;
    largeThreshold;
    progressive;
    progressiveThreshold;
    progressiveChunkMode;
    dimensions;
    encode;
    seriesLayoutBy;
    datasetIndex;
    markPoint;
    markLine;
    markArea;
    zlevel;
    z;
    constructor(_optionsService) {
        super('bar', _optionsService);
    }
    getConfig() {
        return {
            coordinateSystem: this.coordinateSystem,
            xAxisIndex: this.xAxisIndex,
            yAxisIndex: this.yAxisIndex,
            legendHoverLink: this.legendHoverLink,
            stack: this.stack,
            cursor: this.cursor,
            label: this.label,
            itemStyle: this.itemStyle,
            emphasis: this.emphasis,
            barWidth: this.barWidth,
            barMaxWidth: this.barMaxWidth,
            barMinHeight: this.barMinHeight,
            barGap: this.barGap,
            barCategoryGap: this.barCategoryGap,
            large: this.large,
            largeThreshold: this.largeThreshold,
            progressive: this.progressive,
            progressiveThreshold: this.progressiveThreshold,
            progressiveChunkMode: this.progressiveChunkMode,
            dimensions: this.dimensions,
            encode: this.encode,
            seriesLayoutBy: this.seriesLayoutBy,
            datasetIndex: this.datasetIndex,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            zlevel: this.zlevel,
            z: this.z,
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: TdChartSeriesBarComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.4", type: TdChartSeriesBarComponent, selector: "td-chart-series[td-bar]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", coordinateSystem: "coordinateSystem", xAxisIndex: "xAxisIndex", yAxisIndex: "yAxisIndex", legendHoverLink: "legendHoverLink", stack: "stack", cursor: "cursor", label: "label", itemStyle: "itemStyle", emphasis: "emphasis", barWidth: "barWidth", barMaxWidth: "barMaxWidth", barMinHeight: "barMinHeight", barGap: "barGap", barCategoryGap: "barCategoryGap", large: "large", largeThreshold: "largeThreshold", progressive: "progressive", progressiveThreshold: "progressiveThreshold", progressiveChunkMode: "progressiveChunkMode", dimensions: "dimensions", encode: "encode", seriesLayoutBy: "seriesLayoutBy", datasetIndex: "datasetIndex", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", zlevel: "zlevel", z: "z" }, providers: [
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef(() => TdChartSeriesBarComponent),
            },
        ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: TdChartSeriesBarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-bar]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesBarComponent),
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i1.TdChartOptionsService }], propDecorators: { coordinateSystem: [{
                type: Input
            }], xAxisIndex: [{
                type: Input
            }], yAxisIndex: [{
                type: Input
            }], legendHoverLink: [{
                type: Input
            }], stack: [{
                type: Input
            }], cursor: [{
                type: Input
            }], label: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], emphasis: [{
                type: Input
            }], barWidth: [{
                type: Input
            }], barMaxWidth: [{
                type: Input
            }], barMinHeight: [{
                type: Input
            }], barGap: [{
                type: Input
            }], barCategoryGap: [{
                type: Input
            }], large: [{
                type: Input
            }], largeThreshold: [{
                type: Input
            }], progressive: [{
                type: Input
            }], progressiveThreshold: [{
                type: Input
            }], progressiveChunkMode: [{
                type: Input
            }], dimensions: [{
                type: Input
            }], encode: [{
                type: Input
            }], seriesLayoutBy: [{
                type: Input
            }], datasetIndex: [{
                type: Input
            }], markPoint: [{
                type: Input
            }], markLine: [{
                type: Input
            }], markArea: [{
                type: Input
            }], zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }] } });

const BAR_MODULE_COMPONENTS = [TdChartSeriesBarComponent];
class CovalentBarEchartsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: CovalentBarEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.4", ngImport: i0, type: CovalentBarEchartsModule, declarations: [TdChartSeriesBarComponent], imports: [CommonModule], exports: [TdChartSeriesBarComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: CovalentBarEchartsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: CovalentBarEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [BAR_MODULE_COMPONENTS],
                    exports: [BAR_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BAR_MODULE_COMPONENTS, CovalentBarEchartsModule, TdChartSeriesBarComponent };
//# sourceMappingURL=covalent-echarts-bar.mjs.map
