import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesMapComponent extends TdSeriesDirective {
    map;
    roam;
    center;
    aspectScale;
    boudingCoords;
    zoom;
    scaleLimit;
    nameMap;
    selectedMode;
    label;
    itemStyle;
    zLevel;
    z;
    left;
    top;
    right;
    bottom;
    layoutCenter;
    layoutSize;
    geoIndex;
    mapValueCalculation;
    showLegendSymbol;
    seriesLayoutBy;
    markPoint;
    markLine;
    markArea;
    silent;
    constructor(_optionsService) {
        super('map', _optionsService);
    }
    getConfig() {
        return {
            map: this.map,
            roam: this.roam,
            center: this.center,
            aspectScale: this.aspectScale,
            boudingCoords: this.boudingCoords,
            zoom: this.zoom,
            scaleLimit: this.scaleLimit,
            nameMap: this.nameMap,
            selectedMode: this.selectedMode,
            label: this.label,
            itemStyle: this.itemStyle,
            zLevel: this.zLevel,
            z: this.z,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            layoutCenter: this.layoutCenter,
            layoutSize: this.layoutSize,
            geoIndex: this.geoIndex,
            mapValueCalculation: this.mapValueCalculation,
            showLegendSymbol: this.showLegendSymbol,
            seriesLayoutBy: this.seriesLayoutBy,
            markPoint: this.markPoint,
            markLine: this.markLine,
            markArea: this.markArea,
            silent: this.silent,
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: TdChartSeriesMapComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.0.4", type: TdChartSeriesMapComponent, selector: "td-chart-series[td-map]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", map: "map", roam: "roam", center: "center", aspectScale: "aspectScale", boudingCoords: "boudingCoords", zoom: "zoom", scaleLimit: "scaleLimit", nameMap: "nameMap", selectedMode: "selectedMode", label: "label", itemStyle: "itemStyle", zLevel: "zLevel", z: "z", left: "left", top: "top", right: "right", bottom: "bottom", layoutCenter: "layoutCenter", layoutSize: "layoutSize", geoIndex: "geoIndex", mapValueCalculation: "mapValueCalculation", showLegendSymbol: "showLegendSymbol", seriesLayoutBy: "seriesLayoutBy", markPoint: "markPoint", markLine: "markLine", markArea: "markArea", silent: "silent" }, providers: [
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef(() => TdChartSeriesMapComponent),
            },
        ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: TdChartSeriesMapComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-map]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesMapComponent),
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i1.TdChartOptionsService }], propDecorators: { map: [{
                type: Input
            }], roam: [{
                type: Input
            }], center: [{
                type: Input
            }], aspectScale: [{
                type: Input
            }], boudingCoords: [{
                type: Input
            }], zoom: [{
                type: Input
            }], scaleLimit: [{
                type: Input
            }], nameMap: [{
                type: Input
            }], selectedMode: [{
                type: Input
            }], label: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], zLevel: [{
                type: Input
            }], z: [{
                type: Input
            }], left: [{
                type: Input
            }], top: [{
                type: Input
            }], right: [{
                type: Input
            }], bottom: [{
                type: Input
            }], layoutCenter: [{
                type: Input
            }], layoutSize: [{
                type: Input
            }], geoIndex: [{
                type: Input
            }], mapValueCalculation: [{
                type: Input
            }], showLegendSymbol: [{
                type: Input
            }], seriesLayoutBy: [{
                type: Input
            }], markPoint: [{
                type: Input
            }], markLine: [{
                type: Input
            }], markArea: [{
                type: Input
            }], silent: [{
                type: Input
            }] } });

const MAP_MODULE_COMPONENTS = [TdChartSeriesMapComponent];
class CovalentMapEchartsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: CovalentMapEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.4", ngImport: i0, type: CovalentMapEchartsModule, declarations: [TdChartSeriesMapComponent], imports: [CommonModule], exports: [TdChartSeriesMapComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: CovalentMapEchartsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.4", ngImport: i0, type: CovalentMapEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [MAP_MODULE_COMPONENTS],
                    exports: [MAP_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentMapEchartsModule, MAP_MODULE_COMPONENTS, TdChartSeriesMapComponent };
//# sourceMappingURL=covalent-echarts-map.mjs.map
